INTERFACE
SUBROUTINE PREINTSTL(KDLEN,KLEN,KSET,&
 & PRESH,&
 & PUF,PVF,PTF,PQF,PQN,PTS,&
 & PU10N,PV10N,PRF,&
 & PWS,PVEG,PCI,PWL,&
 & PSN,PSLM,PZ0,&
 & PCPTGZ,PWET,PQS,PCPTS,PAPHI,&
 & PBN,PBM,PBH,&
 & PLNPR,PALPH,&
 & PRESH5,&
 & PUF5,PVF5,PTF5,PQF5,PQN5,PTS5,&
 & PU05,PV05,PU10N5,PV10N5,PCHN5,PRF5,&
 & PWS5,PVEG5,PWL5,&
 & PSN5,PSLM5,PZ05,&
 & PES5,PWET5,PQS5,PAPHI5,&
 & PRI5,PLNPR5,PALPH5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KSET
REAL(KIND=JPRB) ,INTENT(IN) :: PRESH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PUF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQN(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTS(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PU10N(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV10N(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PRF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWS(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVEG(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCI(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWL(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSN(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSLM(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PZ0(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCPTGZ(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWET(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQS(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCPTS(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPHI(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PBN(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PBM(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PBH(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PUF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQN5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PRF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PWS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PVEG5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PWL5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PSN5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLM5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PU05(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV05(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PU10N5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV10N5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCHN5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PZ05(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PES5(KDLEN,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PWET5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPHI5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRI5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH5(KDLEN,NFLEVG)
END SUBROUTINE PREINTSTL
END INTERFACE
